-------------------------------------------------------------------------------
--                                                                           --
--  Filename        : $Source: /cvsroot/gnade/gnade/cfg/cfgget.adb,v $
--  Description     : GNADE Preprocessor and configuration tool
--  Author          : Michael Erdmann <Michael.Erdmann@snafu.de>
--  Created On      : 22-Mar-2004
--  Last Modified By: $Author: merdmann $
--  Last Modified On: $Date: 2004/03/23 19:36:31 $
--  Status          : $State: Exp $
--
--  Copyright (C) 2004 Michael Erdmann
--                                                                           --
--  GNADE is free software;  you can redistribute it  and/or modify it under --
--  terms of the  GNU General Public License as published  by the Free Soft- --
--  ware  Foundation;  either version 2,  or (at your option) any later ver- --
--  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
--  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
--  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
--  for  more details.  You should have  received  a copy of the GNU General --
--  Public License  distributed with GNAT;  see file COPYING.  If not, write --
--  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
--  MA 02111-1307, USA.                                                      --
--                                                                           --
--  As a special exception,  if other files  instantiate  generics from this --
--  unit, or you link  this unit with other files  to produce an executable, --
--  this  unit  does not  by itself cause  the resulting  executable  to  be --
--  covered  by the  GNU  General  Public  License.  This exception does not --
--  however invalidate  any other reasons why  the executable file  might be --
--  covered by the  GNU Public License.                                      --
--                                                                           --
--  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
--                                                                           --
--  Functional Description                                                   --
--  ======================                                                   --
--                                                                           --
--  Restrictions                                                             --
--  ============                                                             --
--                                                                           --
--  References                                                               --
--  ==========                                                               --
--  None                                                                     --
--                                                                           --
-------------------------------------------------------------------------------
with Ada.Strings;			use Ada.Strings;
with Ada.Command_Line;			use Ada.Command_Line;
with Ada.Text_IO;			use Ada.Text_IO;
with CFG;				use CFG;
with String_Builder;			use String_Builder;

procedure CFGGet is
   Version : constant String :=
      "$Id: cfgget.adb,v 1.2 2004/03/23 19:36:31 merdmann Exp $";

   SB            : String_Builder.Object;
   Argc          : Natural := 1;
   Opt_Quote	 : Boolean := False;
begin
   Load_CFG( "" );

   while Argc in 1..Argument_Count loop
      if Argument(Argc) = "-f" then
         Opt_Quote := True;
      else
         Put_Line( CFG.Get( Argument(Argc) ) );
      end if;
      Argc := Argc + 1;
   end loop;

   Finalize( SB );
end CFGGet;


