-------------------------------------------------------------------------------
--                                                                           --
--  Filename        : $Source: /cvsroot/gnade/gnade/contrib/gsql/gsql_types.ads,v $
--  Description     : commonly used types
--  Author          : Michael Erdmann                                        --
--  Created         : 8.8.2001                                               --
--  Last Modified By: $Author: me $
--  Last Modified On: $Date: 2001/11/25 18:22:16 $
--  Status          : $State: Exp $
--
--  Copyright (C) 2000 Michael Erdmann                                       --
--                                                                           --
--  GNADE is free software;  you can redistribute it  and/or modify it under --
--  terms of the  GNU General Public License as published  by the Free Soft- --
--  ware  Foundation;  either version 2,  or (at your option) any later ver- --
--  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
--  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
--  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
--  for  more details.  You should have  received  a copy of the GNU General --
--  Public License  distributed with GNAT;  see file COPYING.  If not, write --
--  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
--  MA 02111-1307, USA.                                                      --
--                                                                           --
--  As a special exception,  if other files  instantiate  generics from this --
--  unit, or you link  this unit with other files  to produce an executable, --
--  this  unit  does not  by itself cause  the resulting  executable  to  be --
--  covered  by the  GNU  General  Public  License.  This exception does not --
--  however invalidate  any other reasons why  the executable file  might be --
--  covered by the  GNU Public License.                                      --
--                                                                           --
--  Author: Michael Erdmann <michael.erdmann@snafu.de>                       --
--                                                                           --
--  GNADE is implemented to work with GNAT, the GNU Ada compiler.            --
--                                                                           --
-------------------------------------------------------------------------------
with Ada.Strings.Unbounded;            use Ada.Strings.Unbounded;

package GSQL_Types is

   Max_Section_Length   : constant Natural := 1000;

   Text_Buffer_Overflow : exception;

   type Text_Buffer is array(
      Positive range <> ) of Unbounded_String;

   function To_Text_Buffer(
      S     : in String ) return Text_Buffer;

   procedure To_Text_Buffer(
      S     : in String;
      T     : out Text_Buffer;
      Last  : out Positive );

   function To_String(
      T     : in Text_Buffer ) return String;

   procedure Insert(
      Dest : out Text_Buffer;
      Src  : in Unbounded_String;
      Last : in out Positive );

   procedure Insert(
      Dest : out Text_Buffer;
      Src  : in Text_Buffer;
      Last : in out Positive );

end GSQL_Types;
