-------------------------------------------------------------------------------
--                                                                           --
--  Filename        : $Source: /cvsroot/gnade/gnade/dbi/adbc/gnu-db-adbc-row.ads,v $
--  Description     : Ada Database Objects - Row object                      --
--  Author          : Michael Erdmann                                        --
--  Created         : 18.1.2002                                              --
--  Last Modified By: $Author: merdmann $
--  Last Modified On: $Date: 2002/02/23 22:04:21 $
--  Version         : $Revision: 1.2 $
--  Status          : $State: Exp $
--                                                                           --
--  Copyright (C) 2002 Michael Erdmann                                       --
--                                                                           --
--  GNADE is free software;  you can redistribute it  and/or modify it under --
--  terms of the  GNU General Public License as published  by the Free Soft- --
--  ware  Foundation;  either version 2,  or (at your option) any later ver- --
--  sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
--  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
--  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
--  for  more details.  You should have  received  a copy of the GNU General --
--  Public License  distributed with GNAT;  see file COPYING.  If not, write --
--  to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
--  MA 02111-1307, USA.                                                      --
--                                                                           --
--  As a special exception,  if other files  instantiate  generics from this --
--  unit, or you link  this unit with other files  to produce an executable, --
--  this  unit  does not  by itself cause  the resulting  executable  to  be --
--  covered  by the  GNU  General  Public  License.  This exception does not --
--  however invalidate  any other reasons why  the executable file  might be --
--  covered by the  GNU Public License.                                      --
--                                                                           --
--  This software is implemented to work with GNAT, the GNU Ada compiler.    --
--                                                                           --
--  Functional Description                                                   --
--  ======================                                                   --
--                                                                           --
--                                                                           --
--  Restrictions                                                             --
--  ============                                                             --
--  Only Linux                                                               --
--                                                                           --
--  Contact                                                                  --
--  =======                                                                  --
--  Error reports shall be handled via http://gnade.sourceforge.net          --
--  Features and ideas via: gnade-develop@lists.sourceforge.net              --
--                                                                           --
--  Author contact:                                                          --
--               purl:/net/michael.erdmann                                   --
--                                                                           --
-------------------------------------------------------------------------------
package GNU.DB.ADBC.Row is

   type Object( Size : Positive) is abstract tagged private;
   type Handle is access all Object'Class;

   Null_Handle : constant Handle := null;

   ---------------------------------------------------------------------------
   --# Description    :
   --#
   --# Preconditions  :
   --#
   --# Postconditions :
   --#
   --# Exceptions     :
   --#
   --# Note           :
   ---------------------------------------------------------------------------
   function Get(
      This   : in Object'Class;
      Pos    : in Positive ) return Integer;

   function Get(
      This   : in Object'Class;
      Pos    : in Positive ) return Float;

   ---------------------------------------------------------------------------
   --# Description    :
   --#    Return the contents of a certain columns in a row
   --# Preconditions  :
   --#
   --# Postconditions :
   --#
   --# Exceptions     :
   --#
   --# Note           :
   ---------------------------------------------------------------------------
   procedure Get(
      This   : in Object;
      Pos    : in Positive;
      Value  : out String;
      Length : out Natural) is abstract;


   ---=====================================================================---
private
   type Object( Size : Positive ) is abstract tagged null record;

end GNU.DB.ADBC.Row ;

