------------------------------------------------------------------------------
--  Ada95 Interface to Oracle RDBMS                                         --
--  Copyright (C) 2000-2006 Dmitriy Anisimkov.                              --
--  License text and authors contact information are in the file oci.ads    --
------------------------------------------------------------------------------

--  Do not with this module to the application by the regular way.
--  This package only for the Oracle 8.0.x, and could be compiled separately,
--  and object file should be linked to the application as a just an
--  object file.

--  $Id: oci-envcreate80.ads,v 1.11 2008/01/28 03:51:32 vagul Exp $

with OCI.Lib;

package OCI.EnvCreate80 is
   use OCI.Lib;

   function OCIEnvCreate
     (Envh      : access OCIEnv;
      Mode      : in     Ub4;
      Ctxp      : in     DVoid;
      Malocfp   : in     DVoid;
      Ralocfp   : in     DVoid;
      Mfreefp   : in     DVoid;
      Xtramemsz : in     C.size_t;
      Usrmempp  : in     Undefined) return SWord;
   pragma Export (C, OCIEnvCreate, "OCIEnvCreate");

   Not_Implemented_In_This_Version : exception;

   function OCILobCreateTemporary
     (svchp    : OCISvcCtx;
      errhp    : OCIError;
      locp     : OCILobLocator;
      csid     : Ub2;
      csfrm    : Ub1;
      lobtype  : Ub1;
      cache    : C.int;
      duration : OCIDuration) return SWord;

   function Not_Implemented_2 return SWord;

   pragma Export (C, OCILobCreateTemporary, "OCILobCreateTemporary");
   pragma Export (C, Not_Implemented_2, "OCILobFreeTemporary");

end OCI.EnvCreate80;
